<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getSkillLevel](./bitburner.bladeburner.getskilllevel.md)

## Bladeburner.getSkillLevel() method

Get skill level.

**Signature:**

```typescript
getSkillLevel(skillName: BladeburnerSkillName): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  skillName | [BladeburnerSkillName](./bitburner.bladeburnerskillname.md) | Name of skill. Case-sensitive and must be an exact match. |

**Returns:**

number

Level in the specified skill.

## Remarks

RAM cost: 4 GB

This function returns your level in the specified skill.

The function returns -1 if an invalid skill name is passed in.

